No se puede instalar R 3.5.0 en Ubuntu Bionic Beaver (18.04)

Me encantó saber que los desarrolladores de R finalmente enviaron R 3.5 a través de sus espejos CRAN y decidieron instalarlo de inmediato. Agregué el PPA requerido como se menciona en el sitio web de CRAN, deb https:///bin/linux/ubuntu bionic-cran35/ pero después de ejecutar el comando sudo apt-get update , encontré la siguiente advertencia.

expected bionic-cran35/ but got bionic

La captura de pantalla se adjunta aquí para mayor claridad. R_Bionic_installation_error

Fui demasiado optimista y continué con el siguiente código sudo apt-get install r-base y, como se esperaba, la instalación falló. Los errores se muestran aquí.

  Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: r-base : Depends: r-recommended (= 3.5.0-1bionic) but it is not going to be installed E: Unable to correct problems, you have held broken packages. 

Vale la pena mencionar que no es un problema seguro relacionado con APT y que ya había agregado la clave apt requerida. Además, no tengo ninguna instalación previa de R en mi sistema. Necesito la versión actualizada (la R en Bionic Universe sigue siendo 3.4.4)

¿Me estoy perdiendo de algo?

ACTUALIZACIÓN: El error fue corregido por Michael Rutter y su equipo Debian. Un gran agradecimiento a todos los involucrados.

Estoy publicando esta respuesta para que pueda ayudar a alguien a tropezar con el mismo problema. El problema se resolvió con un truco giratorio: era experimental, pero funcionó.

Entonces, estaba intentando instalar R 3.5.0 desde CRAN directamente y se negó a instalarse como se menciona en la pregunta. La idea era instalar cualquier versión existente en Ubuntu Bionic (18.04) y actualizar a 3.5.0 (en lugar de instalar R desde cero).

Los pasos detallados son:

  1. Por ahora, elimine la fuente deb https://cloud.r-project.org/bin/linux/ubuntu bionic-cran35/ de las fonts de software.

  2. Limpieza básica: –

     sudo apt-get autoremove sudo apt-get update sudo apt-get upgrade 
  3. Instala cualquier versión existente en Ubuntu Bionic con

     sudo apt-get install r-base 
  4. Vuelva a agregar la fuente deb https://cloud.r-project.org/bin/linux/ubuntu bionic-cran35/

  5. sudo apt-get update

    – todavía muestra la advertencia expected bionic-cran35/ but got bionic

    Ignorar y continuar con sudo apt-get upgrade

  6. Actualiza todos los paquetes existentes en Linux

     sudo apt-get dist-upgrade 

Y el último comando (6º) hace el trabajo — R 3.5.0.

PD: la advertencia sigue apareciendo en la pantalla cuando actualizo las fonts, pero en este momento parece ser inocuo. Esperemos que la próxima actualización de R arregle eso.

ACTUALIZACIÓN: De hecho, el error ha sido corregido. Así que podemos instalar directamente R según el sitio web de CRAN a partir de ahora.